regina::XMLTriangulationReader< dim > Class Template Reference
Triangulations

An XML packet reader that reads a single dim-dimensional triangulation. More...

`#include <triangulation/xmltrireader.h>`

Inheritance diagram for regina::XMLTriangulationReader< dim >:

## Public Member Functions

| XMLTriangulationReader (XMLTreeResolver &resolver)
| Creates a new triangulation reader. More...
XMLElementReader * | startPropertySubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Returns an XML element reader for the given optional property of a dim-dimensional triangulation. More...
virtual Packet * | packet () override
| Returns the newly allocated packet that has been read by this element reader. More...
virtual XMLElementReader * | startContentSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps) override
| Used instead of startSubElement() for XML subelements that are not child packets or packet tags. More...
virtual void | endContentSubElement (const std::string &subTagName, XMLElementReader *subReader) override
| Used instead of endSubElement() for XML subelements that are not child packets or packet tags. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, XMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...

## Protected Member Functions

XMLElementReader * | propertyReader (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Returns a reader for the generic triangulation property with the given subtag name. More...

## Protected Attributes

Triangulation< dim > * | tri_
| The triangulation currently being read. More...
XMLTreeResolver & | resolver_
| The master resolver that will be used to fix dangling packet references after the entire XML file has been read. More...

## Detailed Description

### template<int dim>
class regina::XMLTriangulationReader< dim >

An XML packet reader that reads a single dim-dimensional triangulation.

In some dimensions this template is specialised so that it can read in additional properties of the triangulation. In order to use these specialised classes, you will need to include the corresponding headers (e.g., triangulation/xmltrireader3.h for dim = 3).

Python:\n Not present.

Template Parameters

  dim | The dimension of the triangulation being read. This must be between 2 and 15 inclusive.

The documentation for this class was generated from the following file:

- triangulation/detail/xmltrireader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).